[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.AddObjectFirst

AddObjectFirst - adds a node with specified text and data-pointer as the first node in the same level as SiblingNode. and returns the new node

## Declaration

Source position: comctrls.pp line 2099

`public function TTreeNodes.AddObjectFirst(`
`SiblingNode: TTreeNode;`
`const S: String;`
`Data: Pointer`
`):TTreeNode;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.